Docs Native format /minimax/v1/query/video_generation
API reference

Query video generation tasks

Query the video generation task status based on task_id.

GET/minimax/v1/query/video_generation

Responses

200 success application/json
response-200 object
properties
base_resp object
file_id string

Video file ID, download link can be obtained through files/retrieve Video file ID, download link can be obtained through files/retrieve

status string

Status

task_id string

Asynchronous task ID

video_height integer

Video height

video_width integer

Video width

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/minimax/v1/query/video_generation" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2▼"base_resp": {
3"status_code": 0,
4"status_msg": "success"
5},
6"file_id": "string",
7"status": "Preparing",
8"task_id": "string",
9"video_height": 0,
10"video_width": 0
11}